E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSsl::MbedTls::X< T > Struct Template Reference

Initialises and frees an mbedtls object on construction and destruction. More...

`#include <gssl_mbedtls_utils.h>`

## Public Member Functions
| X (void(*init)(T *), void(*free)(T *))
T * | ptr ()
const T * | ptr () const
X * | operator& ()=delete
const X * | operator& () const =delete
| X (const X< T > &)=delete
| X (X< T > &&)=delete
X< T > & | operator= (const X< T > &)=delete
X< T > & | operator= (X< T > &&)=delete

## Public Attributes
T | x
void(* | m_free )(T *)

## Detailed Description

template<typename T>
struct GSsl::MbedTls::X< T >

Initialises and frees an mbedtls object on construction and destruction.

Definition at line 93 of file gssl_mbedtls_utils.h.

## Constructor & Destructor Documentation

## ◆ X()

template<typename T >

GSsl::MbedTls::X< T >::X | ( | void(*)(T *) | init,
|  | void(*)(T *) | free
| ) |  |
| inline

Definition at line 95 of file gssl_mbedtls_utils.h.

## ◆ ~X()

template<typename T >

GSsl::MbedTls::X< T >::~X | ( |  | ) |
| inline

Definition at line 96 of file gssl_mbedtls_utils.h.

## Member Function Documentation

## ◆ ptr() [1/2]

template<typename T >

T * GSsl::MbedTls::X< T >::ptr | ( |  | ) |
| inline

Definition at line 97 of file gssl_mbedtls_utils.h.

## ◆ ptr() [2/2]

template<typename T >

const T * GSsl::MbedTls::X< T >::ptr | ( |  | ) | const
| inline

Definition at line 98 of file gssl_mbedtls_utils.h.

## Member Data Documentation

## ◆ m_free

template<typename T >

void(* GSsl::MbedTls::X< T >::m_free) (T *)

Definition at line 100 of file gssl_mbedtls_utils.h.

## ◆ x

template<typename T >

T GSsl::MbedTls::X< T >::x

Definition at line 99 of file gssl_mbedtls_utils.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls_utils.h